[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TExtendedHelper.NaN

Representation of NaN (Not a Number)

## Declaration

Source position: syshelph.inc line 346

`public const TExtendedHelper.NaN: Extended = 0.0 / 0.0;`

## Description

NaN is the Representation of NaN (Not a Number) for a Extended-sized floating point type.

## See also

TExtendedHelper.MaxValue |  | Largest possible value for the Extended floating point type
TExtendedHelper.MinValue |  | Smallest (negative) possible value for the Extended floating point type
TExtendedHelper.Epsilon |  | Precision for this floating point type
TExtendedHelper.PositiveInfinity |  | Positive infinity as represented by a Extended floating point type
TExtendedHelper.NegativeInfinity |  | Negative infinity as represented by a Extended floating point type